aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSebastien Douheret <sebastien.douheret@iot.bzh>2018-12-19 00:14:38 +0100
committerSebastien Douheret <sebastien.douheret@iot.bzh>2018-12-19 00:18:00 +0100
commitadd6f928e6a95d14b511ebd59e0fba231747cdbb (patch)
treedc848e049cef0d71b5218ab0fb2c9e867bf8ad57
parent8f7e656d6f4dea90129ff8de3aba569e9ac59bdc (diff)
Switch to https protocol for IoT.bzh urlsguppy_6.99.4guppy_6.99.3guppy/6.99.4guppy/6.99.36.99.46.99.3
http is still supported but redirected to https and consequently curl commands used in this script receive a 302 response that silently skips IoT.bzh sdks processing. Change-Id: I6854be1f3f8a42d77657fe45658782c3dc5b8b38 Signed-off-by: Sebastien Douheret <sebastien.douheret@iot.bzh>
-rwxr-xr-xscripts/sdks/agl/_build-sdks-json.sh18
1 files changed, 10 insertions, 8 deletions
diff --git a/scripts/sdks/agl/_build-sdks-json.sh b/scripts/sdks/agl/_build-sdks-json.sh
index 7b67b86..4d67bbf 100755
--- a/scripts/sdks/agl/_build-sdks-json.sh
+++ b/scripts/sdks/agl/_build-sdks-json.sh
@@ -52,7 +52,7 @@ IMG_AGL_URL_SUFFIX="/deploy/images/"
#######################################
### Define urls where SDKs can be downloaded / IoT.bzh part
-SDK_IOTBZH_BASEURL="http://iot.bzh/download/public/XDS/images/"
+SDK_IOTBZH_BASEURL="https://iot.bzh/download/public/XDS/images/"
DOWNLOADABLE_IOTBZH_URLS="
dab-m3ulcb/*
@@ -62,9 +62,9 @@ DOWNLOADABLE_IOTBZH_URLS="
flounder-h3ulcb/*
flounder-m3ulcb/*
flounder-qemux86-64/*
-
- master-m3ulcb/*
"
+# master-m3ulcb/*
+
SDK_IOTBZH_URL_SUFFIX="/sdk/"
IMG_IOTBZH_URL_SUFFIX="/images/"
@@ -207,9 +207,9 @@ EndOfMessage
}
DEBUG=0
-if [[ ${1:0:2} = "-v" ]] ; then
- verbose=$(echo -s ${1} | sed -E "s/-([v]+).*/\1/")
- DEBUG=$(echo ${verbose} | wc -c)
+if [ "${1}" = "-v" ] ; then
+ shift
+ DEBUG=${1}
echo "Set verbosity level to : ${DEBUG}"
shift
fi
@@ -219,7 +219,8 @@ sdksList=" "
for base_url in $DOWNLOADABLE_AGL_URLS
do
dbg_debug "Look into ${base_url}"
- urls="$(expand_url $base_url $SDK_AGL_BASEURL)"
+ urls="$(expand_url ${base_url} $SDK_AGL_BASEURL)"
+ [ "$urls" = "" ] && { echo "ERROR: empty response while expanding ${SDK_AGL_BASEURL}${base_url}"; exit 1; }
for url in $urls
do
dbg_debug "URL to check: ${url}"
@@ -230,7 +231,8 @@ done
for base_url in $DOWNLOADABLE_IOTBZH_URLS
do
dbg_debug "Look into ${base_url}"
- urls="$(expand_url $base_url $SDK_IOTBZH_BASEURL)"
+ urls="$(expand_url ${base_url} $SDK_IOTBZH_BASEURL)"
+ [ "$urls" = "" ] && { echo "ERROR: empty response while expanding ${SDK_IOTBZH_BASEURL}${base_url}"; exit 1; }
for url in $urls
do
dbg_debug "URL to check: ${url}"